package produce

import (
	"query-service/internal/drivers/keyvaluedriver"

	"git.science.uu.nl/datastrophe/broker"
)

// Service wraps consumer methods
type Service struct {
	brokerDriver   broker.Interface
	keyValueStore  keyvaluedriver.KeyValueStoreInterface
	producerDriver broker.Producer
}

// NewService creates a new service
func NewService(broker broker.Interface, keyValueStore keyvaluedriver.KeyValueStoreInterface) *Service {
	return &Service{
		brokerDriver:  broker,
		keyValueStore: keyValueStore,
	}
}

// Start starts the producer
func (s *Service) Start() {
	// Create producer
	p := s.brokerDriver.CreateProducer("ui-direct-exchange")

	s.producerDriver = p
}
